﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace XamComboEditor_sample.ViewModel
{
    public class RelayCommand : ICommand
    {
        private Action commandTask;

        public RelayCommand(Action workToDo)
        {
            this.commandTask = workToDo;
        }

        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            commandTask();
        }
    }
}
